Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 659851 - dell_laptop: Hardware wifi activation fails
Summary: dell_laptop: Hardware wifi activation fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: John Feeney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-03 20:49 UTC by Neil Katin
Modified: 2013-01-10 07:33 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-12 20:09:12 UTC
Type: ---


Attachments (Terms of Use)

Description Neil Katin 2010-12-03 20:49:57 UTC
Description of problem:

This is a repost of Bug 572827, which was auto-closed because
the original reporter didn't update the version field.

The bug still exists.

The problem is the RF-Kill switch on Dell Laptops; if it is not
turned on before boot then enabling it later does not work.

This is what is printed in the logs when the kill switch is
first enabled:

This is what is printed:
[  265.964504] iwlagn 0000:0c:00.0: RF_KILL bit toggled to enable radio.
[  265.970813] iwlagn 0000:0c:00.0: RF_KILL bit toggled to disable radio.

So it is enabled, and then very quickly disabled.



Version-Release number of selected component (if applicable):


How reproducible:

The problem is fully repeatable.

Steps to Reproduce:
1. boot with rf kill switch off
2. enable RF
3.

Comment 1 Stanislaw Gruszka 2010-12-06 07:54:41 UTC
Hmm, does RF kill work if you blacklist dell_wmi and wmi modules.

Comment 2 Neil Katin 2010-12-06 08:29:56 UTC
(In reply to comment #1)
> Hmm, does RF kill work if you blacklist dell_wmi and wmi modules.

I blacklisted those 2 modules (and checked with lsmod that they
did not load).  Not only did the RF Kill switch not enable WIFI,
the previously working situation (turning on the radio
before boot) no longer functioned; WIFI was not detected on the
machine no matter what the state of the switch was.

Unblacklisting and modprobing those 2 modules resulted in the
same state as booting with RF Disabled: two messages from iwlagn
about RF_KILL being toggled about 50ms apart.

Comment 3 Neil Katin 2011-07-12 20:09:12 UTC
I'm happy to report this is now working in F15... Closing the bug


Note You need to log in before you can comment on or make changes to this bug.